<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
	<head>
		<title>Index page</title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
		<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css">
		<script type="text/javascript">
			// Declaring enum
			const Direction = {
				UP: 'UP',
				DOWN: 'DOWN',
				LEFT: 'LEFT',
				RIGHT: 'RIGHT'
			};

			function sayDirection() {
				var direction = document.getElementById("dir_idx").value;
				switch (direction) {
					case Direction.UP:
						document.getElementById("result").innerHTML = 'We are going up!';
						break;
					case Direction.DOWN:
						document.getElementById("result").innerHTML = 'Heading all the way down. . .';
						break;
					case Direction.LEFT:
						document.getElementById("result").innerHTML = 'Left not right!';
						break;
					case Direction.RIGHT:
						document.getElementById("result").innerHTML = 'To the right.';
						break;
				}
			}
		</script>
		<style type="text/css">
			#enum-info-result, #code, #result {
				margin-left: 16px;
			}
			.line-hgt {
				line-height: 2.0;
			}
		</style>
	</head>
	<body>
		<div class="container">
			<h2 align="center" class="text-danger">JavaScript Enums Example</h2>
			<hr />
			
			<!------ JavaScript Enums Example ------>
			<div class="form-group">
				<!-- What is Enum? -->
				<div id="enum-info-result">
					<h4 class="text-primary font-weight-bold">Enums</h4>
					<ol class="text-info line-hgt">
						<li>In a programming language, an enumerated type (also called <em>enumeration</em> or <em>enum</em>) is a data-type consisting of a set of named values considered  elements.</li>
						<li>They behave like <strong>constants</strong> in a programming language.</li>
						<li>E.g. <pre>enum WeekDay = { MONDAY, TUESDAY, WEDNESDAY, THURSDAY, FRIDAY, SATURDAY, SUNDAY };</pre></li>
					</ol>
				</div>
				<!-- Direction selection drop-down -->
				<div id="code">
					<h4 class="text-sucess">Code Snippet</h4><div>&nbsp;</div>
					<div class="col-sm-4">
						<select id="dir_idx" class="form-control" onchange="sayDirection();">
							<option selected="selected" value="-1" disabled>Select direction</option>
							<option value="UP">Up</option>
							<option value="DOWN">Down</option>
							<option value="LEFT">Left</option>
							<option value="RIGHT">Right</option>
						</select>
					</div>
				</div>
			</div>
			<div>&nbsp;</div>
			
			<!-- Result -->
			<h5 id="result" class="text-info"></h5>
		</div>
	</body>
</html>